org.bdgenomics.adam.sql

# VariantCallingAnnotations

###
Related Docs: object VariantCallingAnnotations | package sql

#### case class VariantCallingAnnotations(filtersApplied: Option[Boolean] = None, filtersPassed: Option[Boolean] = None, filtersFailed: Seq[String] = Seq(), downsampled: Option[Boolean] = None, baseQRankSum: Option[Float] = None, fisherStrandBiasPValue: Option[Float] = None, rmsMapQ: Option[Float] = None, mapq0Reads: Option[Int] = None, mqRankSum: Option[Float] = None, readPositionRankSum: Option[Float] = None, genotypePriors: Seq[Float] = Seq(), genotypePosteriors: Seq[Float] = Seq(), vqslod: Option[Float] = None, culprit: Option[String] = None, attributes: Map[String, String] = Map()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantCallingAnnotations
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new VariantCallingAnnotations(filtersApplied: Option[Boolean] = None, filtersPassed: Option[Boolean] = None, filtersFailed: Seq[String] = Seq(), downsampled: Option[Boolean] = None, baseQRankSum: Option[Float] = None, fisherStrandBiasPValue: Option[Float] = None, rmsMapQ: Option[Float] = None, mapq0Reads: Option[Int] = None, mqRankSum: Option[Float] = None, readPositionRankSum: Option[Float] = None, genotypePriors: Seq[Float] = Seq(), genotypePosteriors: Seq[Float] = Seq(), vqslod: Option[Float] = None, culprit: Option[String] = None, attributes: Map[String, String] = Map())

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val attributes: Map[String, String]

6. #### val baseQRankSum: Option[Float]

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     VariantCallingAnnotations → Equals

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val culprit: Option[String]

10. #### val downsampled: Option[Boolean]

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### val filtersApplied: Option[Boolean]

13. #### val filtersFailed: Seq[String]

14. #### val filtersPassed: Option[Boolean]

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### val fisherStrandBiasPValue: Option[Float]

17. #### val genotypePosteriors: Seq[Float]

18. #### val genotypePriors: Seq[Float]

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### val mapq0Reads: Option[Int]

22. #### val mqRankSum: Option[Float]

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def productArity: Int

    Definition Classes
      VariantCallingAnnotations → Product

27. #### def productElement(i: Int): Any

    Definition Classes
      VariantCallingAnnotations → Product

28. #### val readPositionRankSum: Option[Float]

29. #### val rmsMapQ: Option[Float]

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toAvro: formats.avro.VariantCallingAnnotations

32. #### val vqslod: Option[Float]

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped